> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Program

> Moves a program to Trash and removes its logo and cover.



## OpenAPI

````yaml delete /products/{id}
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /products/{id}:
    delete:
      tags:
        - Programs
      summary: Delete a Program
      description: Moves a program to Trash and removes its logo and cover.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Program ID.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProgramDeleted'
              example:
                id: PROGRAM_ID
                deleted: true
        '401':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProgramError'
              example:
                error: Access denied
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProgramError'
              example:
                error: Forbidden
        '404':
          description: Record not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProgramError'
              example:
                error: Record not found
        '422':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProgramError'
              example:
                error: Validation failed
components:
  schemas:
    ProgramDeleted:
      type: object
      properties:
        id:
          type: string
        deleted:
          type: boolean
    ProgramError:
      type: object
      properties:
        error:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.